[Numpy-discussion] numpy1.4 dtype issues: scipy.stats & pytables

josef.pktd@gmai... josef.pktd@gmai...
Mon Jan 11 11:10:24 CST 2010


On Mon, Jan 11, 2010 at 11:56 AM, denis <denis-bz-py@t-online.de> wrote:
> Only 2 of the 21 top-level subpackages draw that warning
> with numpy-1.4.0-py2.6-python.org.dmg
> scipy-0.7.1-py2.6-python.org.dmg
> on my mac 10.4 ppc, python 2.6.4:
>
> try:
>     import scipy.cluster
> except ValueError, e:
>     print "scipy.cluster error", e
> try:
>     import scipy.constants
> except ValueError, e:
>     print "scipy.constants error", e
> ...
>
> scipy.cluster error numpy.dtype does not appear to be the correct type object
> .../linsolve/__init__.py:4: DeprecationWarning: scipy.linsolve has moved to scipy.sparse.linalg.dsolve
>   warn('scipy.linsolve has moved to scipy.sparse.linalg.dsolve', DeprecationWarning)
> scipy.stats error numpy.dtype does not appear to be the correct type object

For this problem, it's supposed to be only those packages that have or
import cython generated code.

Josef

>
> cheers
>   -- denis
>
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
>


More information about the NumPy-Discussion mailing list